package com.palmnest.application.dto.output.app;

import java.io.Serializable;

public class AppUserDto implements Serializable{

	/**
	 * 用户详情
	 */
	private static final long serialVersionUID = -124657797143919181L;
	
	private Integer id;
	private String username;//用户名
	private String fullName;//用户姓名
	private String telephone;//手机号
	private String photoUrl;//头像
	private Integer organizationId;//项目ID
	private Integer deviceType;//手机登录设备类型
	private String deviceNo;//手机登录设备号
//	private String token ;//token
//	private Integer isOnline;//是否已签到
	
	public AppUserDto() {
	}
	
	public AppUserDto(Integer id, String username, String telephone,String photoUrl) {
		super();
		this.id = id;
		this.username = username;
		this.telephone = telephone;
		this.photoUrl = photoUrl;
	}

//	public String getToken() {
//		return token;
//	}
//	public void setToken(String token) {
//		this.token = token;
//	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	
	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public String getTelephone() {
		return telephone;
	}
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	public String getPhotoUrl() {
		return photoUrl;
	}

	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}

	public Integer getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}

	public Integer getDeviceType() {
		return deviceType;
	}

	public void setDeviceType(Integer deviceType) {
		this.deviceType = deviceType;
	}

	public String getDeviceNo() {
		return deviceNo;
	}

	public void setDeviceNo(String deviceNo) {
		this.deviceNo = deviceNo;
	}
	
}
